For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportDiscordGo to dashboard
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
    • API Overview
  • EVM APIs
  • Solana Swap APIs
  • Cross-Chain APIs
      • GETgetQuotes
      • GETgetStatus
      • GETlistSources
      • GETgetTxHistory
      • GETstreamQuotes
LogoLogo
Contact SupportDiscordGo to dashboard
Cross-Chain APIsCross Chain

getStatus

||View as Markdown|
GET
https://api.0x.org/cross-chain/status
GET
/cross-chain/status
$curl -G https://api.0x.org/cross-chain/status \
> -H "0x-api-key: 0x-api-key" \
> -d originChain=8453 \
> -d originTxHash=0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c
1{
2 "status": "bridge_filled",
3 "steps": [
4 {
5 "chainId": 8453,
6 "sellToken": "0x4200000000000000000000000000000000000006",
7 "buyToken": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
8 "amount": 1,
9 "transactions": [
10 {
11 "chainId": 8453,
12 "chain": "string",
13 "txHash": "0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c",
14 "timestamp": 1754335333
15 }
16 ],
17 "type": "wrap"
18 },
19 {
20 "chainId": 1.1,
21 "sellToken": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
22 "buyToken": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
23 "amount": 1,
24 "transactions": [
25 {
26 "chainId": 8453,
27 "chain": "base",
28 "txHash": "0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c",
29 "timestamp": 1754335333
30 },
31 {
32 "chainId": 42161,
33 "chain": "arbitrum",
34 "txHash": "0xb8f4da7b2f3244d1d3174687cea1b8403e263f86ead168a841caf142b491ed5b",
35 "timestamp": 1754335360
36 }
37 ],
38 "type": "wrap"
39 }
40 ],
41 "failure": null,
42 "transactions": [
43 {
44 "chainId": 8453,
45 "chain": "base",
46 "txHash": "0xe347e66b1d9793a11a962c1483f9eef03272c362c41dc1f21c87577ef5ec1a7c",
47 "timestamp": 1754335333
48 },
49 {
50 "chainId": 42161,
51 "chain": "arbitrum",
52 "txHash": "0xb8f4da7b2f3244d1d3174687cea1b8403e263f86ead168a841caf142b491ed5b",
53 "timestamp": 1754335360
54 }
55 ],
56 "zid": "0x1e452d8e6b4ce52de314dcb4",
57 "bridge": "stargate"
58}
Get the status of a cross chain transaction
Was this page helpful?
Previous

getQuotes

Next

listSources

Built with

Headers

0x-api-keystringRequired
Visit dashboard.0x.org to get your API Key

Query parameters

originChainstringRequired

The origin chain where the cross-chain transaction was initiated

originTxHashstringRequired

The transaction hash on the origin chain to track. Format varies by chain type (32-byte hex for EVM/HyperCore, base58 signature for Solana, 64-char hex for Tron)

quoteIdstringOptional

The quote ID associated with the cross-chain transaction

Response

Successful response
statusenum

The current status of the cross-chain transaction

stepslist of objects

The steps involved in the cross-chain transaction

failureobject or null

The failure context for the cross-chain transaction

transactionslist of objects

List of all blockchain transactions involved in this cross-chain swap, across multiple chains

zidstring
The unique ZeroEx identifier of the request
bridgestring

The bridge provider handling the cross-chain transfer

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error